import * as MC from "@minecraft/server";

MC.system.runInterval(() => {
  let players = MC.world.getAllPlayers();
  for (let p = 0; p < players.length; p++) {
    const player = players[p];
    player.runCommandAsync(`gamerule sendcommandfeedback false`);
    let equipment = player.getComponent("equippable")
    let hand = equipment.getEquipment("Mainhand")
    if (hand && hand?.typeId == "mhqs:angelring_add-on.angel_ring") {
      if (hand.getLore().length == 0) {
        equipment.setEquipment(
          "Mainhand",
          (
            hand.setLore(
              ["§4OFF"]
            ),
            hand
          )
        )
      }
    }
  }
}, 2);
MC.world.afterEvents.itemUse.subscribe(async({
  itemStack: item, source: player
}) => {
  const lore = item.getLore()
  let equipment = player.getComponent("equippable")
  if (item.typeId == "mhqs:angelring_add-on.angel_ring") {
    if (lore.includes("§4OFF")) {
      item.lockMode = "inventory"
      item.keepOnDeath = true
      player.runCommandAsync(`ability @s[m=survival] mayfly true`);
      equipment.setEquipment(
        "Mainhand",
        (
          item.setLore(
            ["§aON"]
          ),
          item
        )
      )
    };
    if (lore.includes("§aON")) {
      player.runCommandAsync(`ability @s[m=survival] mayfly false`);
      player.runCommandAsync(`gamemode a @s[m=s]`);
      MC.system.runTimeout(()=> {
        player.runCommandAsync(`gamemode s @s[m=a]`);
      }, 0)
      equipment.setEquipment(
        "Mainhand",
        (
          item.setLore(
            ["§4OFF"]
          ),
          new MC.ItemStack("mhqs:angelring_add-on.angel_ring")
        )
      )
    }
  }
});